import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { BackupDestinationWhereInputObjectSchema as BackupDestinationWhereInputObjectSchema } from './BackupDestinationWhereInput.schema'

const makeSchema = () => z.object({
  where: z.lazy(() => BackupDestinationWhereInputObjectSchema).optional()
}).strict();
export const UserCountOutputTypeCountBackupDestinationsArgsObjectSchema = makeSchema();
export const UserCountOutputTypeCountBackupDestinationsArgsObjectZodSchema = makeSchema();
